#span-1{
	background-color:purple ;
	width: 200px;
	height: 200px;
}

#span-2{
	background-color: red;
	display: block;
}

#div-1{
	background-color: green;
	width: 200px;
	height: 200px;
}

#div-2{
	background-color: pink;
}



#p-1{
	background-color: #87cefa;  
}

#p-2{
	background-color: rgba(255, 105, 180, 1.0);
	width: 60%;


}

#p-3{
		background-color: yellow;
		width: 40%;
	}

.sample{
	display: inline-block;
	width: 30%;
	border: 1px solid black;
	text-align: center;
}

/* 
	CSS Float Propety
		- none: element will not float.
		- right: floats to the right of its container.
		- left: floast to the left of its container.
		- inherit: inherit float values of its parent.
 */


.img-float{
	width: 250px;
	height: 250px;

}



/*
	CSS Units
		pixels(px)
			- is relative to the viewing screen (based on the screen resolution.)
			- screen with higher resolution will contain more pixels.


		percentage(%)
			- is relative to parent element
			- the height and width will based on the parent container.

		viewport units ( vh - height, vw - width)	
			- relative to the viewport or browser window size.

		em
			- relative to the parent element.
			- equal to px size = em x parent set size.
		rem
			- relative to the root element.
			- equal px size = rem x root size.
*/


.box{
	background-color: red;
	border: 1px solid black;
	margin: 5px;
	padding: 5px;
}



.fifty-percent{
	width: 50%;
}

.one-hundred-pixel{
	width: 100px;
}

.parent{
	width: 250px;
	border: 2px solid navy;
	font-size: 30px;
}


.fifty-vw{
	width: 50vw;
}

.twenty-five-vh{
	height: 25vh;
}



.one-rem{
	font-size: 1rem;
}

.two-rem{
	font-size: 2rem;
}

.one-em{
	font-size: 1em;
}

.two-em{
	font-size: 2em;
}


.two-hundred-percent{
	font-size: 200%;
}



/*
	Background Property
	- background-color - can change the color of the background.
	- background-image: url(URI) - takes on the path of the image.

	- bacground-repeat: sets how the background to be repeated.

	background-size: specify the size of the background image auto, cover, contain, unit values.

	background-potion: - changes the postion of the background image relative to the HTML element ( X and Y axits) 
		- values: top center bottom (y-axis) & left center 
*/

.background{
	min-height: 20rem;
	background-color: gray;
	background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);


	background-repeat: no-repeat;
	background-size: 100%;
	background-position: center top;

	background-attachment: fixed;



}

.bg-title{
	color:white;
	text-align: center;
	font-size: 5em;
	margin: 0;
	line-height: 35rem;
}

.container-bg{
	background-color: rgba(0, 0, 0, 0.5);
	min-height: 100vh;
}




/*
	CSS Positioning Property
*/



.parent-element {
    background-color: skyblue;
    padding: 10px;

    position: relative;
    height: 100vh;
    padding: 50px 10px;

}


.child-one {
    background-color: gray;
    padding: 10px;
}

.child-two {
    background-color: yellow;
    padding: 10px;

    position: sticky;
    left:30px;


   top: 100px;
}

.child-three {
    background-color: gray;
    padding: 10px;
}




/* CSS Z-indez */


.container{
	position: relative;
}


.black-box{
	position: relative;
	border: 2px solid black;
	height: 100px;
	margin: 30px;

	z-index: 1;
}

.gray-box{
	position: absolute;
	background-color: lightgray;
	height: 50px;
	width: 70%;


	left: 50px;
	top: 50px;

	z-index: 3;
}

.green-box{
	position: absolute;
	background-color: lightseagreen;
	width: 35%;

	left: 270px;
	top: -15px;
	height: 100px;
}